/*
 * Istrate Roxana 333CA
 *
 */
#include <avr/io.h>
#include <avr/interrupt.h>
#include <avr/pgmspace.h>

#include <util/delay.h>

#include "ks0108.h"
#include "arial_bold_14.h"
#include "corsiva_12.h"

// din schema din eagle butoanele sunt PC0 si PD7 - ledul

#define verify PD0
#define forever 1


ISR(TIMER1_COMPA_vect)
{
    //PORTD |= (1 << PD7);
}

void timer1_init()
{
    TCCR1B |= (1 << CS12)| (1 << CS10) | (1 << WGM12);

    TIMSK1 |= ( 1<< OCIE1A);
    OCR1A = 15625;
}

void PCINT_init()
{
    PCICR |= (1 << PCIE1);
    PCMSK1 |= (1 << PCINT8) | (1 << PCINT9);
}

/* aprinde led-ul PD7 la apasarea butonului PC0 */
void IO_init() {
	
	/* setez pinul PD7 ca iesire */
	DDRD |= (1 << PD7);
	PORTD &= ~(1 << PD7);

	/* setez pinul PC0 ca intrare */
	DDRD &= ~(1 << verify);
	PORTD |= (1 << verify);
	while (1) {
		/* daca butonul este apasat */
		if (!(PIND & (1 << verify))) {
			/* ledul este aprins */
			PORTD |= (1 << PD7);
		} else {
			/* altfel ledul este stins */
			PORTD &= ~(1 << PD7);
		}
	}
}

int main(void) {
	IO_init();
	timer1_init();
	PCINT_init();
	sei();

	ks0108Init(0);
	ks0108Puts("Salut!");
	
	while(1){
		// inchid ledul frecvent 
		PORTD &= ~(1 << PD7);
		_delay_ms(1000);
	}
	
	return 0;
}

